| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
EntryData Class Reference
uiIo

Basic group for letting the user select an object. More...

`#include <uiioobjselgrp.h>`

## Public Member Functions
| EntryData (const MultiID &)
| EntryData (const MultiID &, const char *objnm, const char *dispnm, const char *icnnm, bool isdef)
| ~EntryData ()
const char * | getDispNm () const
const char * | getIcnNm () const
const MultiID & | getMID () const
const char * | getObjNm () const
bool | isDef () const
void | setDisplayName (const char *)
void | setIconName (const char *)
void | setIsDef (bool isdef)
void | setObjName (const char *)

## Protected Attributes
BufferString | dispnm_ = "NONE"
BufferString | icnnm_ = "empty"
bool | isdef_ = false
MultiID | mid_ = MultiID::udf()
BufferString | objnm_ = "NONE"

## Detailed Description

Basic group for letting the user select an object.

For write, you always need to call updateCtxtIOObj(). as a new IOObj may need to be created. In any case, if you want to have the CtxtIOObj updated, updateCtxtIOObj() is required. Otherwise, this is not needed.

<>

## Constructor & Destructor Documentation

## ◆ EntryData() [1/2]

EntryData::EntryData | ( | const MultiID & |  | ) |

## ◆ EntryData() [2/2]

EntryData::EntryData | ( | const MultiID & | ,
|  | const char * | objnm,
|  | const char * | dispnm,
|  | const char * | icnnm,
|  | bool | isdef )

## ◆ ~EntryData()

EntryData::~EntryData | ( |  | ) |

## Member Function Documentation

## ◆ getDispNm()

const char * EntryData::getDispNm | ( |  | ) | const
| inline

## ◆ getIcnNm()

const char * EntryData::getIcnNm | ( |  | ) | const
| inline

## ◆ getMID()

const MultiID & EntryData::getMID | ( |  | ) | const
| inline

## ◆ getObjNm()

const char * EntryData::getObjNm | ( |  | ) | const
| inline

## ◆ isDef()

bool EntryData::isDef | ( |  | ) | const
| inline

## ◆ setDisplayName()

void EntryData::setDisplayName | ( | const char * |  | ) |

## ◆ setIconName()

void EntryData::setIconName | ( | const char * |  | ) |

## ◆ setIsDef()

void EntryData::setIsDef | ( | bool | isdef | ) |
| inline

## ◆ setObjName()

void EntryData::setObjName | ( | const char * |  | ) |

## Member Data Documentation

## ◆ dispnm_

BufferString EntryData::dispnm_ = "NONE"
| protected

## ◆ icnnm_

BufferString EntryData::icnnm_ = "empty"
| protected

## ◆ isdef_

bool EntryData::isdef_ = false
| protected

## ◆ mid_

MultiID EntryData::mid_ = MultiID::udf()
| protected

## ◆ objnm_

BufferString EntryData::objnm_ = "NONE"
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025